Subject: Re: linux-next: build failure after merge of the wireless-drivers-next tree

From: Kalle Valo <[email-masked]>
Date: Tue, 19 Jul 2016 17:08:59 +0300

Rafał Miłecki <[email-masked]> writes:

> On 19 July 2016 at 09:09, Kalle Valo <[email-masked]> wrote:
>> Rafał Miłecki <[email-masked]> writes:
>>
>>> On 19 July 2016 at 08:30, Kalle Valo <[email-masked]> wrote:
>>>> Stephen Rothwell <[email-masked]> writes:
>>>>
>>>>> After merging the wireless-drivers-next tree, today's linux-next build
>>>>> (powerpc allyesconfig) failed like this:
>>>>>
>>>>> drivers/mtd/devices/bcm47xxsflash.c: In function 'bcm47xxsflash_bcma_probe':
>>>>> drivers/mtd/devices/bcm47xxsflash.c:299:17: error: implicit declaration of function 'ioremap_cache' [-Werror=implicit-function-declaration]
>>>>>   b47s->window = ioremap_cache(res->start, resource_size(res));
>>>>>                  ^
>>>>> drivers/mtd/devices/bcm47xxsflash.c:299:15: warning: assignment makes pointer from integer without a cast [-Wint-conversion]
>>>>>   b47s->window = ioremap_cache(res->start, resource_size(res));
>>>>>                ^
>>>>>
>>>>> Caused by commit
>>>>>
>>>>>   57d8f7dd2132 ("bcma: allow enabling serial flash support on non-MIPS SoCs")
>>>>>
>>>>> I have reverted that commit for today.
>>>>
>>>> Thanks, kbuild bot also notified about this.
>>>>
>>>> Rafał, as the merge window is getting really close I would like to
>>>> revert this for now and we can reapply it once we the problem is fully
>>>> solved. And we can use my pending branch for build testing the patch
>>>> with kbuild bot. What do you think?
>>>
>>> The simplest fix sounds pretty much as simple as the revert.
>>
>> The problem is that I don't have much time, I need to send the pull
>> request to Dave within next few days. The fix might create other
>> problems so I'm not enthusiastic about iterating with this patch at the
>> moment. I think it can wait for 4.9.
>
> I sent a patch seconds ago, you may just take a look at it. If you
> still prefer to revert my commit, go ahead.

Ok, let's try your fix. We still have few days. I applied the patch[1]
to the pending branch this morning and if I don't see any errors I apply
it later tonight and hopefully it will be in tomorrow's linux-next
build. Thanks for the quick fix, very much appreciated.

[1] "mtd: add arch dependency for MTD_BCM47XXSFLASH symbol"
    https://patchwork.kernel.org/patch/9236053/

-- 
Kalle Valo